## evolution-data-server 3.45.3

=== debian/changelog ===
evolution-data-server (3.45.3-1.2) unstable; urgency=medium

  * fix typo in Breaks field

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 19:33:05 -0400

evolution-data-server (3.45.3-1.1) unstable; urgency=medium

  * Release to unstable
  * Add some Breaks for evolution-data-server 3.45/libsoup3 transition

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 15:31:56 -0400

evolution-data-server (3.45.3-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Drop obsolete gcr from Build-Depends
  * debian/libedataserverui-1.2-4.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Sep 2022 04:16:04 -0400

evolution-data-server (3.45.2-1) experimental; urgency=medium

  * New upstream release
  * Update package names for soname bump
  * Update symbols files
  * debian/control.in: Build-Depend on libsoup3 instead of libsoup2.4
  * debian/control.in: Build-Depend on libwebkit2gtk-4.1-dev instead of 4.0
  * debian/control.in: Bump minimum libgweather to 4.1
  * debian/control.in: Drop Build-Depends on libgdata
  * debian/rules: Don't build the gtk4 library yet

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 05 Aug 2022 08:18:04 -0400

evolution-data-server (3.44.4-1) unstable; urgency=medium

  * New upstream release
  * Drop glib patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 05 Aug 2022 07:13:11 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: evolution-data-server
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               libtool,
               intltool (>= 0.35.5),
               libcanberra-gtk3-dev (>= 0.25),
               libdb-dev,
               libglib2.0-dev (>= 2.40),
               libglib2.0-doc (>= 2.40),
               libgirepository1.0-dev (>= 1.59.1),
               libsecret-1-dev (>= 0.5),
               libgoa-1.0-dev (>= 3.8),
               libgtk-3-dev (>= 3.10),
               libgweather-4-dev (>= 4.1),
               libical-dev (>= 3.0.7),
               libicu-dev,
               libjson-glib-dev (>= 1.0.4) [!ia64 !kfreebsd-any],
               libkrb5-dev,
               libldap2-dev,
               liboauth-dev (>= 0.9.4),
               librest-dev (>= 0.7),
               libnss3-dev,
               libnspr4-dev,
               libsoup-3.0-dev (>= 3.1.1),
               libsqlite3-dev (>= 3.7.17),
               libwebkit2gtk-4.1-dev [!ia64 !kfreebsd-any],
               libxml2-dev (>= 2.0.0),
               gtk-doc-tools (>= 1.14),
               gperf,
               pkg-config (>= 0.16),
               valac (>= 0.22),
               libphonenumber-dev [!hppa !hurd-any !ia64 !kfreebsd-amd64 !kfreebsd-i386],
               db-util <!nocheck>,
               dbus <!nocheck>,
Rules-Requires-Root: binary-targets
Standards-Version: 4.5.0
Homepage: https://wiki.gnome.org/Apps/Evolution
Vcs-Git: https://salsa.debian.org/gnome-team/evolution-data-server.git
Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-data-server

Package: evolution-data-server
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server-common (>= ${source:Version}),
         libcamel-1.2-64 (= ${binary:Version}),
         gnome-keyring,
Breaks: chatty (<< 0.6.7-3~),
        evolution (<< 3.45),
        gnome-shell (<< 42.4-2~),
        libevolution (<< 3.29.90),
        libgoa-1.0-0b (<< 3.45),
        roger-router (<< 2.4.2-3~),
Replaces: evolution (<< 3.29.90),
          libevolution (<< 3.29.90)
Suggests: evolution
Description: evolution database backend server
 The data server, called "Evolution Data Server" is responsible for managing
 mail, calendar, addressbook, tasks and memo information.

Package: evolution-data-server-common
Architecture: all
Depends: ${misc:Depends}
Multi-arch: foreign
Description: architecture independent files for Evolution Data Server
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains the architecture independent files needed
 by the evolution-data-server package.

Package: evolution-data-server-tests
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-common,
         evolution-data-server
Description: Installed tests for the evolution database backend server
 The data server, called "Evolution Data Server" is responsible for managing
 mail, calendar, addressbook, tasks and memo information.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

Package: evolution-data-server-dev
Section: devel
Architecture: any
Depends: ${misc:Depends},
         libglib2.0-dev (>= 2.40),
         libnss3-dev,
         libnspr4-dev
Description: Development files for evolution-data-server (metapackage)
 This package contains header files and static library of evolution-data-server.

Package: evolution-data-server-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Description: Documentation files for the Evolution Data Server libraries
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains the API documentation for all the individual
 Evolution Data Server libraries.

Package: libedataserver-1.2-27
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server-common (>= ${gnome:Version})
Description: Utility library for evolution data servers
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package is a utility library for evolution-data-server.

Package: libedataserver1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libedataserver-1.2-27 (= ${binary:Version}),
         gir1.2-edataserver-1.2 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libcamel1.2-dev (= ${binary:Version}),
         libxml2-dev,
         libglib2.0-dev (>= 2.40),
         libsoup-3.0-dev (>= 3.1.1),
         libsecret-1-dev
Description: Utility library for evolution data servers (development files)
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains header files and static library for libedataserver.

Package: gir1.2-edataserver-1.2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the EDataServer library
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains introspection data for the libedataserver
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

Package: libedataserverui-1.2-4
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server-common (>= ${gnome:Version})
Description: Utility library for evolution data servers
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package is a UI utility library for evolution-data-server.

Package: libedataserverui1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libedataserverui-1.2-4 (= ${binary:Version}),
         gir1.2-edataserverui-1.2 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libedata-book1.2-dev,
         libcamel1.2-dev (= ${binary:Version}),
         libecal2.0-dev (= ${binary:Version}),
         libedataserver1.2-dev (= ${binary:Version}),
         libxml2-dev,
         libglib2.0-dev (>= 2.40),
         libgtk-3-dev,
         libsoup-3.0-dev (>= 3.1.1),
         libsecret-1-dev
Description: Utility library for evolution data servers (development files)
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains development files for libedataserverui.

Package: gir1.2-edataserverui-1.2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the EDataServerUI library
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains introspection data for the libedataserverui
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

Package: libcamel-1.2-64
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Evolution MIME message handling library
 Camel is a generic messaging library. It supports the standard
 messaging system for receiving and sending messages. It is the
 messaging backend for Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libcamel1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcamel-1.2-64 (= ${binary:Version}),
         gir1.2-camel-1.2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-dev (>= 2.40),
         libsqlite3-dev (>= 3.5),
         libnss3-dev,
         libnspr4-dev
Description: Development files for libcamel
 This package contains header files and static library for libcamel.
 .
 Camel is a generic messaging library. It supports the standard
 messaging system for receiving and sending messages. It is the
 messaging backend for Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: gir1.2-camel-1.2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the Camel library
 Camel is a generic messaging library. It supports the standard
 messaging system for receiving and sending messages. It is the
 messaging backend for Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package contains introspection data for the libcamel
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

Package: libebook-1.2-21
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Client library for evolution address books
 This package is a client library for evolution addressbooks.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libebook1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libebook-1.2-21 (= ${binary:Version}),
         gir1.2-ebook-1.2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libedataserver1.2-dev (= ${binary:Version}),
         libebook-contacts1.2-dev (= ${binary:Version}),
         libcamel1.2-dev (= ${binary:Version}),
         libedata-book1.2-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.40),
Description: Client library for evolution address books (development files)
 This package contains header files and static library for libebook.
 .
 libebook is a client library for evolution addressbooks.
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: gir1.2-ebook-1.2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the EBook library
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains introspection data for the libeebook
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

Package: libedata-book-1.2-27
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Backend library for evolution address books
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package is a backend library for evolution address book.

Package: libedata-book1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libedata-book-1.2-27 (= ${binary:Version}),
         gir1.2-edatabook-1.2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libebook-contacts1.2-dev (= ${binary:Version}),
         libebackend1.2-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.40),
Description: Backend library for evolution address books (development files)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

# see https://bugzilla.gnome.org/show_bug.cgi?id=594473 for details
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

export SENDMAIL_PATH = /usr/sbin/sendmail

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
   skip_packages = -Nevolution-data-server -N evolution-data-server-tests
endif

%:
	dh $@

ifeq (,$(filter $(DEB_HOST_ARCH), hppa hurd-i386 ia64 kfreebsd-i386 kfreebsd-amd64))
CONFFLAGS = -DWITH_PHONENUMBER=ON
endif
ifeq (,$(filter $(DEB_HOST_ARCH), ia64 kfreebsd-i386 kfreebsd-amd64))
CONFFLAGS += -DENABLE_OAUTH2_WEBKITGTK=ON
else
CONFFLAGS += -DENABLE_OAUTH2_WEBKITGTK=OFF
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-DSYSCONF_INSTALL_DIR=/etc \
		-DWITH_LIBDB=/usr \
		-DWITH_OPENLDAP=ON \
		-DWITH_KRB5=ON \
		-DCMAKE_SKIP_RPATH=ON \
		-DENABLE_GTK=ON \
		-DENABLE_GTK4=OFF \
		-DENABLE_GTK_DOC=ON \
		-DENABLE_GOA=ON \
		-DENABLE_EXAMPLES=ON \
		-DENABLE_WEATHER=ON \
		-DENABLE_INSTALLED_TESTS=ON \
		-DENABLE_INTROSPECTION=ON \
		-DENABLE_VALA_BINDINGS=ON \
		$(CONFFLAGS)

# don't configure with --libdir, but move the files manually, because
# /usr/lib/evolution-data-server must not change.
override_dh_install:
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	mv debian/tmp/usr/lib/*.so debian/tmp/usr/lib/*.so.* debian/tmp/usr/lib/girepository-1.0 \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/pkgconfig/*.pc \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	find debian/tmp/usr/lib -name '*.a' -delete -print
	dh_install

override_dh_fixperms-arch:
	chgrp mail $(CURDIR)/debian/evolution-data-server/usr/libexec/camel-lock-helper*
	chmod g+s $(CURDIR)/debian/evolution-data-server/usr/libexec/camel-lock-helper*
	dh_fixperms -a -X/usr/libexec/camel-lock-helper* -Xusr/libexec/evolution-data-server/installed-tests
# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
ifneq ($(filter %-tests,$(built_binaries)),)
	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/*/installed-tests/components/*
	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/*/installed-tests/vcards/*
	chmod --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/*/installed-tests/*
endif

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/evolution-data-server/ -- -c4

override_dh_auto_test:
	dbus-run-session -- dh_auto_test || true

override_dh_builddeb:
	dh_builddeb ${skip_packages}

override_dh_gencontrol:
	dh_gencontrol ${skip_packages}

## evolution-data-server 3.46.0

=== CMakeLists.txt ===
# Evolution-Data-Server build script

cmake_minimum_required(VERSION 3.1)
cmake_policy(VERSION 3.1)

project(evolution-data-server
	VERSION 3.46.0
	LANGUAGES C CXX)
set(CMAKE_CXX_STANDARD 14)
set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-data-server/issues/")

# Base Version: This is for API/version tracking for things like
# D-Bus server files. This should always be the major/minor of
# the stable version or stable version to be.
set(BASE_VERSION 3.46)

# This number is meaningless, but we're now stuck with it in our
# library names for backward compatibility.
set(API_VERSION 1.2)

# API version of the calendar part
set(CAL_API_VERSION 2.0)

# Required for FindIntltool module
set(GETTEXT_PACKAGE ${PROJECT_NAME})
set(GETTEXT_PO_DIR ${CMAKE_SOURCE_DIR}/po)

# Required for 'disttest' and 'distcheck' of DistTarget module
set(PROJECT_DISTCONFIGURE_PARAMS
	-DENABLE_GOA=ON
	-DENABLE_EXAMPLES=ON
	-DENABLE_INTROSPECTION=ON
	-DENABLE_VALA_BINDINGS=ON
	-DENABLE_INSTALLED_TESTS=ON
	-DENABLE_GTK_DOC=ON
	-DWITH_PRIVATE_DOCS=ON
)

# ******************************
# D-Bus versioning
# ******************************
# Actual name can be modified with DBUS_SERVICES_PREFIX option
set(ADDRESS_BOOK_DBUS_SERVICE_NAME	"org.gnome.evolution.dataserver.AddressBook10")
set(CALENDAR_DBUS_SERVICE_NAME		"org.gnome.evolution.dataserver.Calendar8")
set(SOURCES_DBUS_SERVICE_NAME		"org.gnome.evolution.dataserver.Sources5")
set(USER_PROMPTER_DBUS_SERVICE_NAME	"org.gnome.evolution.dataserver.UserPrompter0")

# ******************************
# Library versioning
# ******************************
set(LIBCAMEL_CURRENT 64)
set(LIBCAMEL_REVISION 0)
set(LIBCAMEL_AGE 0)

set(LIBEBACKEND_CURRENT 11)
set(LIBEBACKEND_REVISION 0)
set(LIBEBACKEND_AGE 0)

set(LIBEDATASERVER_CURRENT 27)
set(LIBEDATASERVER_REVISION 0)
set(LIBEDATASERVER_AGE 0)

set(LIBEDATASERVERUI_CURRENT 4)
set(LIBEDATASERVERUI_REVISION 0)
set(LIBEDATASERVERUI_AGE 0)

set(LIBEDATASERVERUI4_API_VERSION 1.0)
set(LIBEDATASERVERUI4_CURRENT 0)
set(LIBEDATASERVERUI4_REVISION 0)
set(LIBEDATASERVERUI4_AGE 0)

set(LIBEBOOK_CURRENT 21)
set(LIBEBOOK_REVISION 1)
set(LIBEBOOK_AGE 3)

set(LIBEBOOK_CONTACTS_CURRENT 4)
set(LIBEBOOK_CONTACTS_REVISION 0)
set(LIBEBOOK_CONTACTS_AGE 0)

set(LIBEDATABOOK_CURRENT 27)
set(LIBEDATABOOK_REVISION 0)
set(LIBEDATABOOK_AGE 0)

set(LIBECAL_CURRENT 2)
set(LIBECAL_REVISION 0)
set(LIBECAL_AGE 0)

set(LIBEDATACAL_CURRENT 2)
set(LIBEDATACAL_REVISION 0)
set(LIBEDATACAL_AGE 0)

# Keep these two definitions in agreement.
set(glib_minimum_version 2.68)
set(glib_encoded_version GLIB_VERSION_2_68)

# Keep these two definitions in agreement.
set(gdk_minimum_version 3.20)
set(gdk_encoded_version GDK_VERSION_3_20)

# Keep these two definitions in agreement.
set(gdk4_minimum_version 4.4)
set(gdk4_encoded_version GDK_VERSION_4_4)

# Keep these two definitions in agreement.
set(soup_minimum_version 3.1.1)
set(soup_encoded_version SOUP_VERSION_3_2)

# Warn about API usage that violates our minimum requirements.
add_definitions(-DGLIB_VERSION_MAX_ALLOWED=${glib_encoded_version})
add_definitions(-DSOUP_VERSION_MAX_ALLOWED=${soup_encoded_version})

# These will suppress warnings about newly-deprecated symbols. Ideally
# these settings should match our minimum requirements and we will clean
# up any new deprecation warnings after bumping our minimum requirements.
# But if the warnings get to be overwhelming, use fixed versions instead.
add_definitions(-DGLIB_VERSION_MIN_REQUIRED=${glib_encoded_version})
add_definitions(-DSOUP_VERSION_MIN_REQUIRED=${soup_encoded_version})

set(libical_glib_minimum_version 3.0.7)
set(libsecret_minimum_version 0.5)
set(libxml_minimum_version 2.0.0)
set(sqlite_minimum_version 3.7.17)

# Optional Packages
set(goa_minimum_version 3.8)
set(gweather_minimum_version 3.91)
set(libaccounts_glib_minimum_version 1.4)
set(libsignon_glib_minimum_version 1.8)
set(json_glib_minimum_version 1.0.4)
set(webkit2gtk_minimum_version 2.34.0)
set(webkit2gtk4_minimum_version 2.36.0)
set(libcanberra_gtk_minimum_version 0.25)

# Load modules from the source tree
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
# Packagers might want to need different settings for the RPATH related things
# From experience, especially CMAKE_BUILD_WITH_INSTALL_RPATH might need to be
# switched to ON, if CMake fails to set the right values during make install
set(CMAKE_SKIP_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_SKIP_BUILD_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_BUILD_WITH_INSTALL_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH ON CACHE BOOL INTERNAL)
# CMAKE_INSTALL_RPATH is set below

# CMake modules
include(CheckCCompilerFlag)
include(CheckCSourceCompiles)
include(CheckCSourceRuns)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckLibraryExists)
include(CheckTypeSize)

# Project custom modules
include(PrintableOptions)

add_printable_variable(LIB_SUFFIX "Library directory suffix, usually defined to '64' for x86_64 systems" "")
add_printable_variable_bare(CMAKE_INSTALL_PREFIX)
add_printable_variable_path(BIN_INSTALL_DIR "Install directory for binary files, defaults to CMAKE_INSTALL_PREFIX/bin" "")
add_printable_variable_path(INCLUDE_INSTALL_DIR "Install directory for header files, defaults to CMAKE_INSTALL_PREFIX/include" "")
add_printable_variable_path(LIB_INSTALL_DIR "Install directory for library files, defaults to CMAKE_INSTALL_PREFIX/lib{LIB_SUFFIX}" "")
add_printable_variable_path(LIBEXEC_INSTALL_DIR "Install directory for library executable files, defaults to CMAKE_INSTALL_PREFIX/libexec" "")
add_printable_variable_path(SHARE_INSTALL_PREFIX "Install directory for shared files, defaults to CMAKE_INSTALL_PREFIX/share" "")
add_printable_variable_path(LOCALE_INSTALL_DIR "Install directory for locale files, defaults to SHARE_INSTALL_PREFIX/locale" "")
add_printable_variable_path(SYSCONF_INSTALL_DIR "Install directory for system configuration files, defaults to CMAKE_INSTALL_PREFIX/etc" "")

macro(ensure_default_value _var _defvalue)
	if(${_var} STREQUAL "")
		set(${_var} ${_defvalue})
	endif(${_var} STREQUAL "")
endmacro(ensure_default_value)

ensure_default_value(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
ensure_default_value(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
ensure_default_value(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ensure_default_value(LIBEXEC_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/libexec")
ensure_default_value(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share")
ensure_default_value(LOCALE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/locale")
ensure_default_value(SYSCONF_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/etc")

add_printable_variable(DBUS_SERVICES_PREFIX "Prefix for D-Bus services, usually left empty, without trailing dot" "")

if(NOT ("${DBUS_SERVICES_PREFIX}" STREQUAL ""))
	set(ADDRESS_BOOK_DBUS_SERVICE_NAME	"${DBUS_SERVICES_PREFIX}.${ADDRESS_BOOK_DBUS_SERVICE_NAME}")
	set(CALENDAR_DBUS_SERVICE_NAME		"${DBUS_SERVICES_PREFIX}.${CALENDAR_DBUS_SERVICE_NAME}")
	set(SOURCES_DBUS_SERVICE_NAME		"${DBUS_SERVICES_PREFIX}.${SOURCES_DBUS_SERVICE_NAME}")
	set(USER_PROMPTER_DBUS_SERVICE_NAME	"${DBUS_SERVICES_PREFIX}.${USER_PROMPTER_DBUS_SERVICE_NAME}")
else(NOT ("${DBUS_SERVICES_PREFIX}" STREQUAL ""))
	unset(DBUS_SERVICES_PREFIX)
endif(NOT ("${DBUS_SERVICES_PREFIX}" STREQUAL ""))

# ******************************
# Special directories
# ******************************

# If you add something here, consider whether or not you also
# need to add it to one or more .pc.in files (for Connector, etc)

set(privdatadir "${SHARE_INSTALL_PREFIX}/${PROJECT_NAME}")
set(privincludedir "${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}")
set(privlibdir "${LIB_INSTALL_DIR}/${PROJECT_NAME}")
set(privlibexecdir "${LIBEXEC_INSTALL_DIR}/${PROJECT_NAME}")
set(icondir "${privdatadir}/icons")

SET(CMAKE_INSTALL_RPATH "${privlibdir}")

if(WIN32)
	# On Win32 there is no "rpath" mechanism. We install the private
	# shared libraries in $libdir, meaning the DLLs will actually be in
	# $bindir. This means just having $bindir in PATH will be enough.
	set(privsolibdir "${LIB_INSTALL_DIR}")
else(WIN32)
	set(privsolibdir "${privlibdir}")
endif(WIN32)

set(imagesdir "${SHARE_INSTALL_PREFIX}/pixmaps/${PROJECT_NAME}")
set(moduledir "${privlibdir}/registry-modules")
set(credentialmoduledir "${privlibdir}/credential-modules")
set(uimoduledir "${privlibdir}/ui-modules")
set(ebook_backenddir "${privlibdir}/addressbook-backends")
set(ecal_backenddir "${privlibdir}/calendar-backends")
set(ro_sourcesdir "${privdatadir}/ro-sources")
set(rw_sourcesdir "${privdatadir}/rw-sources")
set(camel_providerdir "${privlibdir}/camel-providers")

# *******************
# D-BUS service stuff
# *******************
set(servicelibexecdir "${LIBEXEC_INSTALL_DIR}")
if(WIN32 AND (NOT ("$ENV{WIN32_SERVICELIBEXECDIR}" STREQUAL "")))
	#
	# D-Bus requires Windows full path, not Unix-like, like the one provided by MSYS
	#
	AC_SUBST(WIN32_SERVICELIBEXECDIR)
	set(servicelibexecdir "$ENV{WIN32_SERVICELIBEXECDIR}")
endif(WIN32 AND (NOT ("$ENV{WIN32_SERVICELIBEXECDIR}" STREQUAL "")))

add_printable_variable_path(WITH_DBUS_SERVICE_DIR "Set directory for D-Bus service files" "${SHARE_INSTALL_PREFIX}/dbus-1/services")

# It is correct for this to be in ${CMAKE_INSTALL_PREFIX}/lib, even on systems where that
# does not match ${LIB_INSTALL_DIR}. This is what systemd uses on such platforms.

add_printable_variable_path(WITH_SYSTEMDUSERUNITDIR "Set directory for systemd user units, or 'no' to disable" "${CMAKE_INSTALL_PREFIX}/lib/systemd/user")

string(LENGTH "${CMAKE_BINARY_DIR}" bindirlen)
string(LENGTH "${WITH_SYSTEMDUSERUNITDIR}" maxlen)
if(maxlen LESS bindirlen)
	set(substr "***")
else(maxlen LESS bindirlen)
	string(SUBSTRING "${WITH_SYSTEMDUSERUNITDIR}" 0 ${bindirlen} substr)
endif(maxlen LESS bindirlen)
string(TOUPPER "${WITH_SYSTEMDUSERUNITDIR}" optupper)

if(("${optupper}" STREQUAL "ON") OR ("${substr}" STREQUAL "${CMAKE_BINARY_DIR}"))
	set(WITH_SYSTEMD_USER_UNITS ON)
	set(WITH_SYSTEMDUSERUNITDIR "${CMAKE_INSTALL_PREFIX}/lib/systemd/user")
elseif(NOT WITH_SYSTEMDUSERUNITDIR)
	set(WITH_SYSTEMD_USER_UNITS OFF)
else()
	set(WITH_SYSTEMD_USER_UNITS ON)
endif()

unset(bindirlen)
unset(maxlen)
unset(substr)
unset(optupper)

# ******************************
# Dependencies
# ******************************

include(CodeCoverageGCOV)
include(CheckTarget)
include(DistTargets)
include(GLibTools)
include(GObjectIntrospection)
include(GtkDoc)
include(InstalledTests)
include(PkgConfigEx)
include(SetupBuildFlags)
include(UninstallTarget)
include(IconCache)

include(FindGettext)
include(I18n)
include(FindKRB5)
include(FindLDAP)
include(FindPhonenumber)
include(FindSMIME)

add_printable_option(ENABLE_MAINTAINER_MODE "Enable maintainer mode" OFF)
add_printable_option(WITH_PRIVATE_DOCS "Build documentation for private libraries (requires -DENABLE-GTK-DOC=ON" OFF)

if(ENABLE_MAINTAINER_MODE)
	set(BUILD_TESTING ON)
endif(ENABLE_MAINTAINER_MODE)

# Setup compiler/linker flags
setup_build_flags(${ENABLE_MAINTAINER_MODE})

CHECK_INCLUDE_FILE(com_err.h HAVE_COM_ERR_H)
CHECK_INCLUDE_FILE(et/com_err.h HAVE_ET_COM_ERR_H)
CHECK_INCLUDE_FILE(sys/wait.h HAVE_SYS_WAIT_H)
CHECK_INCLUDE_FILE(wspiapi.h HAVE_WSPIAPI_H)
CHECK_INCLUDE_FILE(zlib.h HAVE_ZLIB_H)
CHECK_FUNCTION_EXISTS(fsync HAVE_FSYNC)
CHECK_FUNCTION_EXISTS(strptime HAVE_STRPTIME)
CHECK_FUNCTION_EXISTS(nl_langinfo HAVE_NL_LANGINFO)

# ******************************
# required executables
# ******************************

find_program(GPERF gperf)
if(NOT GPERF)
	message(FATAL_ERROR "You need gperf to build ${PROJECT_NAME}")
endif(NOT GPERF)

# ******************************
# db_load checking, it's optional
# ******************************

find_program(DB_LOAD NAMES db_load db4_load db_load-4 db5_load db_load-5)
if(DB_LOAD)
	set(HAVE_DB_LOAD ON)
else(DB_LOAD)
	set(HAVE_DB_LOAD OFF)
	message(WARNING "db_load not found, some unit tests will not be run")

=== src/vala/CMakeLists.txt ===
# Filled by the _build_vala_files macro below
set(valafiles)

add_custom_target(vala ALL)

# ***********************************
# Helper macro
# ***********************************

macro(_build_vala_files _lib_name _gir_fullname_var _gir_deps_var _gir_dirs_var _vala_deps_var _extra_vapigen_files_var)
	list(APPEND valafiles
		${CMAKE_CURRENT_BINARY_DIR}/${_lib_name}.deps
		${CMAKE_CURRENT_BINARY_DIR}/${_lib_name}.vapi
	)

	add_dependencies(vala ${${_gir_deps_var}})

	set(gir_dirs_param)
	set(vala_deps_param)
	set(vala_deps_content "")
	set(vapi_deps)

	foreach(_item IN LISTS ${_gir_dirs_var})
		list(APPEND gir_dirs_param --girdir=${_item})
	endforeach()

	foreach(_item IN LISTS ${_vala_deps_var})
		# those beginning with '*' are built here, thus
		# skip them from the vapigen arguments
		string(SUBSTRING "${_item}" 0 1 _item_prefix)
		if("${_item_prefix}" STREQUAL "*")
			string(SUBSTRING "${_item}" 1, -1, _item)
			list(APPEND vapi_deps ${CMAKE_CURRENT_BINARY_DIR}/${_item}.vapi)
		endif("${_item_prefix}" STREQUAL "*")

		list(APPEND vala_deps_param --pkg ${_item})
		string(CONCAT vala_deps_content "${vala_deps_content}" "${_item}\n")
	endforeach()

	file(GENERATE
		OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_lib_name}.deps
		CONTENT "${vala_deps_content}"
	)

	add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_lib_name}.vapi
		COMMAND ${VAPIGEN}
			--vapidir=${CMAKE_CURRENT_SOURCE_DIR}
			--vapidir=${CMAKE_CURRENT_BINARY_DIR}
			${gir_dirs_param}
			--girdir=${SHARE_INSTALL_PREFIX}/gir-1.0
			${vala_deps_param}
			--library ${_lib_name}
			--metadatadir=${CMAKE_CURRENT_SOURCE_DIR}
			${${_gir_fullname_var}}
			${${_extra_vapigen_files_var}}
		DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_lib_name}.deps
			${vapi_deps}
			${${_extra_vapigen_files_var}}
			${${_gir_deps_var}}
			${${_gir_fullname_var}}
	)
endmacro(_build_vala_files)

# ***********************************
# camel
# ***********************************

set(gir_fullname ${CMAKE_BINARY_DIR}/src/camel/Camel-${API_VERSION}.gir)
gir_girfilename_to_target(gir_deps Camel-${API_VERSION}.gir)

set(gir_dirs
	${CMAKE_BINARY_DIR}/src/camel
)

set(vala_deps
	gio-2.0
	libxml-2.0
	posix
)

set(extra_vapigen_files
	${CMAKE_CURRENT_SOURCE_DIR}/camel-${API_VERSION}-custom.vala
)

_build_vala_files(camel-${API_VERSION}
	gir_fullname
	gir_deps
	gir_dirs
	vala_deps
	extra_vapigen_files
)

# ***********************************
# libedataserver
# ***********************************

set(gir_fullname ${CMAKE_BINARY_DIR}/src/libedataserver/EDataServer-${API_VERSION}.gir)
gir_girfilename_to_target(gir_deps EDataServer-${API_VERSION}.gir)

set(gir_dirs
	${CMAKE_BINARY_DIR}/src/camel
	${CMAKE_BINARY_DIR}/src/libedataserver
)

set(vala_deps
	*camel-${API_VERSION}
	gio-2.0
	libsoup-3.0
	libxml-2.0
	posix
)

set(extra_vapigen_files)

_build_vala_files(libedataserver-${API_VERSION}
	gir_fullname
	gir_deps
	gir_dirs
	vala_deps
	extra_vapigen_files
)

# ***********************************
# libebackend
# ***********************************

set(gir_fullname ${CMAKE_BINARY_DIR}/src/libebackend/EBackend-${API_VERSION}.gir)
gir_girfilename_to_target(gir_deps EBackend-${API_VERSION}.gir)

set(gir_dirs
	${CMAKE_BINARY_DIR}/src/camel
	${CMAKE_BINARY_DIR}/src/libedataserver
	${CMAKE_BINARY_DIR}/src/libebackend
)

set(vala_deps
	*libedataserver-${API_VERSION}
	gio-2.0
	libsoup-3.0
	libxml-2.0
	posix
)

set(extra_vapigen_files)

_build_vala_files(libebackend-${API_VERSION}
	gir_fullname
	gir_deps
	gir_dirs
	vala_deps
	extra_vapigen_files
)

# ***********************************
# libebook-contacts
# ***********************************

set(gir_fullname ${CMAKE_BINARY_DIR}/src/addressbook/libebook-contacts/EBookContacts-${API_VERSION}.gir)
gir_girfilename_to_target(gir_deps EBookContacts-${API_VERSION}.gir)

set(gir_dirs
	${CMAKE_BINARY_DIR}/src/camel
	${CMAKE_BINARY_DIR}/src/libedataserver
)

set(vala_deps
	*camel-${API_VERSION}
	*libedataserver-${API_VERSION}
	gio-2.0
	libsoup-3.0
	libxml-2.0
	posix
)

set(extra_vapigen_files
	${CMAKE_CURRENT_SOURCE_DIR}/libebook-contacts-${API_VERSION}-custom.vala
)

_build_vala_files(libebook-contacts-${API_VERSION}
	gir_fullname
	gir_deps
	gir_dirs
	vala_deps
	extra_vapigen_files
)

# ***********************************
# libebook
# ***********************************

set(gir_fullname ${CMAKE_BINARY_DIR}/src/addressbook/libebook/EBook-${API_VERSION}.gir)
gir_girfilename_to_target(gir_deps EBook-${API_VERSION}.gir)

set(gir_dirs
	${CMAKE_BINARY_DIR}/src/camel
	${CMAKE_BINARY_DIR}/src/libedataserver
	${CMAKE_BINARY_DIR}/src/addressbook/libebook-contacts
)

set(vala_deps
	*camel-${API_VERSION}
	*libedataserver-${API_VERSION}
	*libebook-contacts-${API_VERSION}
	gio-2.0
	libsoup-3.0
	libxml-2.0
	posix
)

set(extra_vapigen_files)

_build_vala_files(libebook-${API_VERSION}
	gir_fullname
	gir_deps
	gir_dirs
	vala_deps
	extra_vapigen_files
)

# ***********************************
# libedata-book
# ***********************************

set(gir_fullname ${CMAKE_BINARY_DIR}/src/addressbook/libedata-book/EDataBook-${API_VERSION}.gir)
gir_girfilename_to_target(gir_deps EDataBook-${API_VERSION}.gir)

set(gir_dirs
	${CMAKE_BINARY_DIR}/src/camel
	${CMAKE_BINARY_DIR}/src/libebackend
	${CMAKE_BINARY_DIR}/src/libedataserver
	${CMAKE_BINARY_DIR}/src/addressbook/libebook-contacts
)

set(vala_deps
	*camel-${API_VERSION}
	*libedataserver-${API_VERSION}
	*libebackend-${API_VERSION}
	*libebook-contacts-${API_VERSION}
	gio-2.0
	libsoup-3.0
	libxml-2.0
	posix
)

set(extra_vapigen_files)

_build_vala_files(libedata-book-${API_VERSION}
	gir_fullname
	gir_deps
	gir_dirs
	vala_deps
	extra_vapigen_files
)

# ***********************************
# libecal
# ***********************************

set(gir_fullname ${CMAKE_BINARY_DIR}/src/calendar/libecal/ECal-${CAL_API_VERSION}.gir)
gir_girfilename_to_target(gir_deps ECal-${CAL_API_VERSION}.gir)

set(gir_dirs
	${CMAKE_BINARY_DIR}/src/camel
	${CMAKE_BINARY_DIR}/src/libedataserver
	${CMAKE_BINARY_DIR}/src/calendar/libecal
)

set(vala_deps
	*camel-${API_VERSION}
	*libedataserver-${API_VERSION}
	gio-2.0
	libical-glib
	libsoup-3.0
	libxml-2.0
	posix
)

set(extra_vapigen_files)

_build_vala_files(libecal-${CAL_API_VERSION}
	gir_fullname
	gir_deps
	gir_dirs
	vala_deps
	extra_vapigen_files
)

# ***********************************
# libedata-cal
# ***********************************

set(gir_fullname ${CMAKE_BINARY_DIR}/src/calendar/libedata-cal/EDataCal-${CAL_API_VERSION}.gir)
gir_girfilename_to_target(gir_deps EDataCal-${CAL_API_VERSION}.gir)

set(gir_dirs
	${CMAKE_BINARY_DIR}/src/camel
	${CMAKE_BINARY_DIR}/src/libebackend
	${CMAKE_BINARY_DIR}/src/libedataserver
	${CMAKE_BINARY_DIR}/src/calendar/libecal
	${CMAKE_BINARY_DIR}/src/calendar/libedata-cal
)

set(vala_deps
	*camel-${API_VERSION}
	*libedataserver-${API_VERSION}
	*libebackend-${API_VERSION}
	*libecal-${CAL_API_VERSION}
	gio-2.0
	libical-glib
	libsoup-3.0
	libxml-2.0
	posix
)

set(extra_vapigen_files)

_build_vala_files(libedata-cal-${CAL_API_VERSION}
	gir_fullname
	gir_deps
	gir_dirs
	vala_deps
	extra_vapigen_files
)

# ***********************************
# libedataserverui
# ***********************************

if(ENABLE_GTK)
	set(gir_fullname ${CMAKE_BINARY_DIR}/src/libedataserverui/EDataServerUI-${API_VERSION}.gir)
	gir_girfilename_to_target(gir_deps EDataServerUI-${API_VERSION}.gir)

	set(gir_dirs
		${CMAKE_BINARY_DIR}/src/camel
		${CMAKE_BINARY_DIR}/src/libedataserver
		${CMAKE_BINARY_DIR}/src/calendar/libecal
	)

	set(vala_deps
		*libedataserver-${API_VERSION}
		*libecal-${CAL_API_VERSION}
		gio-2.0
		gtk+-3.0
		libsoup-3.0
		libxml-2.0
		posix
	)

	set(extra_vapigen_files)

	_build_vala_files(libedataserverui-${API_VERSION}
		gir_fullname
		gir_deps
		gir_dirs
		vala_deps
		extra_vapigen_files
	)
endif(ENABLE_GTK)

if(ENABLE_GTK4)
	set(gir_fullname ${CMAKE_BINARY_DIR}/src/libedataserverui/EDataServerUI4-${LIBEDATASERVERUI4_API_VERSION}.gir)
	gir_girfilename_to_target(gir_deps EDataServerUI4-${LIBEDATASERVERUI4_API_VERSION}.gir)

	set(gir_dirs
		${CMAKE_BINARY_DIR}/src/camel
		${CMAKE_BINARY_DIR}/src/libedataserver
		${CMAKE_BINARY_DIR}/src/calendar/libecal
	)

	set(vala_deps
		*libedataserver-${API_VERSION}
		*libecal-${CAL_API_VERSION}
		gio-2.0
		gtk4
		libsoup-3.0
		libxml-2.0
		posix
	)

	set(extra_vapigen_files)

	_build_vala_files(libedataserverui4-${LIBEDATASERVERUI4_API_VERSION}
		gir_fullname
		gir_deps
		gir_dirs
		vala_deps
		extra_vapigen_files
	)
endif(ENABLE_GTK4)

# ***********************************
# Install all VAPI files
# ***********************************

add_custom_target(vala-files
	DEPENDS ${valafiles}
)

add_dependencies(vala vala-files)

install(FILES ${valafiles}
	DESTINATION ${SHARE_INSTALL_PREFIX}/vala/vapi
)

=== debian/changelog ===
evolution-data-server (3.46.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.1
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Sep 2022 15:27:03 -0400

evolution-data-server (3.45.3-2) experimental; urgency=medium

  * Add packages for the GTK4 version of libedataserverui: libedataserverui4

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Sep 2022 14:16:20 -0400

## evolution-data-server 3.46.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.1)
 
 project(evolution-data-server
-	VERSION 3.46.0
+	VERSION 3.46.1
 	LANGUAGES C CXX)
 set(CMAKE_CXX_STANDARD 14)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-data-server/issues/")

=== src/services/evolution-source-registry/CMakeLists.txt ===
set(SYSTEMD_SERVICE)
if(WITH_SYSTEMD_USER_UNITS)
	set(SYSTEMD_SERVICE "SystemdService=evolution-source-registry.service")

	configure_file(evolution-source-registry.service.in
		evolution-source-registry.service
		@ONLY
	)

	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/evolution-source-registry.service
		DESTINATION ${WITH_SYSTEMDUSERUNITDIR}
	)
endif(WITH_SYSTEMD_USER_UNITS)

configure_file(org.gnome.evolution.dataserver.Sources.service.in
	${SOURCES_DBUS_SERVICE_NAME}.service
	@ONLY
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${SOURCES_DBUS_SERVICE_NAME}.service
	DESTINATION ${WITH_DBUS_SERVICE_DIR}
)

set(builtin_sources_files
	caldav-stub.source
	carddav-stub.source
	contacts-stub.source
	google-stub.source
	ldap-stub.source
	local-stub.source
	weather-stub.source
	webcal-stub.source
	webdav-notes-stub.source
	birthdays.source
	local.source
	sendmail.source
	system-address-book.source
	system-calendar.source
	system-memo-list.source
	system-proxy.source
	system-task-list.source
	vfolder.source
)

if(NOT EXISTS ${CMAKE_CURRENT_BINARY_DIR}/builtin)
	file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/builtin)
endif(NOT EXISTS ${CMAKE_CURRENT_BINARY_DIR}/builtin)

set(builtin_sources)
foreach(_file ${builtin_sources_files})
	i18n_merge_file(
		${CMAKE_CURRENT_SOURCE_DIR}/builtin/${_file}.desktop.in
		${CMAKE_CURRENT_BINARY_DIR}/builtin/${_file}
		${CMAKE_SOURCE_DIR}/po
		EXTRA_ARGS "--keyword=DisplayName"
	)
	list(APPEND builtin_sources ${CMAKE_CURRENT_BINARY_DIR}/builtin/${_file})
endforeach(_file)

glib_compile_resources(${CMAKE_CURRENT_BINARY_DIR}/builtin evolution-source-registry-resource evolution_source_registry evolution-source-registry-resource.xml ${builtin_sources})

set(DEPENDENCIES
	camel
	ebackend
	edataserver
)

set(SOURCES
	evolution-source-registry.c
	evolution-source-registry-autoconfig.c
	evolution-source-registry-methods.h
	evolution-source-registry-migrate-basedir.c
	evolution-source-registry-migrate-proxies.c
	evolution-source-registry-migrate-sources.c
	evolution-source-registry-migrate-tweaks.c
	${CMAKE_CURRENT_BINARY_DIR}/evolution-source-registry-resource.c
	${CMAKE_CURRENT_BINARY_DIR}/evolution-source-registry-resource.h
)

add_executable(evolution-source-registry
	${SOURCES}
)

add_dependencies(evolution-source-registry
	${DEPENDENCIES}
)

target_compile_definitions(evolution-source-registry PRIVATE
	-DG_LOG_DOMAIN=\"evolution-source-registry\"
	-DLOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
)

target_compile_options(evolution-source-registry PUBLIC
	${BACKEND_CFLAGS}
	${DATA_SERVER_CFLAGS}
	${GTK_CFLAGS}
)

target_include_directories(evolution-source-registry PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${BACKEND_INCLUDE_DIRS}
	${DATA_SERVER_INCLUDE_DIRS}
	${GTK_INCLUDE_DIRS}
)

target_link_libraries(evolution-source-registry
	${DEPENDENCIES}
	${BACKEND_LDFLAGS}
	${DATA_SERVER_LDFLAGS}
	${GTK_LDFLAGS}
)

install(TARGETS evolution-source-registry
	DESTINATION ${LIBEXEC_INSTALL_DIR}
)

set(SOURCES
	evolution-scan-gconf-tree-xml.c
	evolution-source-registry-migrate-sources.c
)

add_executable(evolution-scan-gconf-tree-xml
	${SOURCES}
)

add_dependencies(evolution-scan-gconf-tree-xml
	${DEPENDENCIES}
)

target_compile_definitions(evolution-scan-gconf-tree-xml PRIVATE
	-DG_LOG_DOMAIN=\"evolution-scan-gconf-tree-xml\"
	-DLOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
)

target_compile_options(evolution-scan-gconf-tree-xml PUBLIC
	${BACKEND_CFLAGS}
	${DATA_SERVER_CFLAGS}
	${GTK_CFLAGS}
)

target_include_directories(evolution-scan-gconf-tree-xml PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${BACKEND_INCLUDE_DIRS}
	${DATA_SERVER_INCLUDE_DIRS}
	${GTK_INCLUDE_DIRS}
)

target_link_libraries(evolution-scan-gconf-tree-xml
	${DEPENDENCIES}
	${BACKEND_LDFLAGS}
	${DATA_SERVER_LDFLAGS}
	${GTK_LDFLAGS}
)

install(TARGETS evolution-scan-gconf-tree-xml
	DESTINATION ${LIBEXEC_INSTALL_DIR}
)

=== debian/changelog ===
evolution-data-server (3.46.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (LP: #1993834)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 21 Oct 2022 11:32:50 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: evolution-data-server
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -21,6 +22,7 @@
                libsecret-1-dev (>= 0.5),
                libgoa-1.0-dev (>= 3.8),
                libgtk-3-dev (>= 3.10),
+               libgtk-4-dev (>= 4.4),
                libgweather-4-dev (>= 4.1),
                libical-dev (>= 3.0.7),
                libicu-dev,
@@ -34,6 +36,7 @@
                libsoup-3.0-dev (>= 3.1.1),
                libsqlite3-dev (>= 3.7.17),
                libwebkit2gtk-4.1-dev [!ia64 !kfreebsd-any],
+               libwebkit2gtk-5.0-dev [!ia64 !kfreebsd-any],
                libxml2-dev (>= 2.0.0),
                gtk-doc-tools (>= 1.14),
                gperf,
@@ -43,7 +46,7 @@
                db-util <!nocheck>,
                dbus <!nocheck>,
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://wiki.gnome.org/Apps/Evolution
 Vcs-Git: https://salsa.debian.org/gnome-team/evolution-data-server.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-data-server
@@ -212,6 +215,57 @@
  library. It can be used by packages using the GIRepository format to
  generate dynamic bindings.
 
+Package: libedataserverui4-1.0-0
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         evolution-data-server-common (>= ${gnome:Version})
+Description: GTK4 utility library for evolution data servers
+ The data server, called "Evolution Data Server" is responsible for managing
+ calendar and addressbook information.
+ .
+ This package is a GTK4 UI utility library for evolution-data-server.
+
+Package: libedataserverui4-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libedataserverui4-1.0-0 (= ${binary:Version}),
+         gir1.2-edataserverui4-1.0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends},
+         libedata-book1.2-dev,
+         libcamel1.2-dev (= ${binary:Version}),
+         libecal2.0-dev (= ${binary:Version}),
+         libedataserver1.2-dev (= ${binary:Version}),
+         libxml2-dev,
+         libglib2.0-dev (>= 2.40),
+         libgtk-4-dev (>= 4.4),
+         libsoup-3.0-dev (>= 3.1.1),
+         libsecret-1-dev
+Description: GTK4 Utility library for evolution data server (development files)
+ The data server, called "Evolution Data Server" is responsible for managing
+ calendar and addressbook information.
+ .
+ This package contains development files for libedataserverui.
+
+Package: gir1.2-edataserverui4-1.0
+Section: introspection
+Architecture: any
+Multi-Arch: same
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: GObject introspection for the EDataServerUI4 library
+ The data server, called "Evolution Data Server" is responsible for managing
+ calendar and addressbook information.
+ .
+ This package contains introspection data for the libedataserverui4
+ library. It can be used by packages using the GIRepository format to
+ generate dynamic bindings.
+
 Package: libcamel-1.2-64
 Section: libs
 Architecture: any
@@ -284,57 +338,3 @@
 Architecture: any
 Multi-Arch: same
 Depends: libebook-1.2-21 (= ${binary:Version}),
-         gir1.2-ebook-1.2 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-         libedataserver1.2-dev (= ${binary:Version}),
-         libebook-contacts1.2-dev (= ${binary:Version}),
-         libcamel1.2-dev (= ${binary:Version}),
-         libedata-book1.2-dev (= ${binary:Version}),
-         libglib2.0-dev (>= 2.40),
-Description: Client library for evolution address books (development files)
- This package contains header files and static library for libebook.
- .
- libebook is a client library for evolution addressbooks.
- Evolution is the integrated mail, calendar, task and address book
- distributed suite from Novell, Inc.
-
-Package: gir1.2-ebook-1.2
-Section: introspection
-Architecture: any
-Multi-Arch: same
-Depends: ${gir:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
-Description: GObject introspection for the EBook library
- The data server, called "Evolution Data Server" is responsible for managing
- calendar and addressbook information.
- .
- This package contains introspection data for the libeebook
- library. It can be used by packages using the GIRepository format to
- generate dynamic bindings.
-
-Package: libedata-book-1.2-27
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Description: Backend library for evolution address books
- Evolution is the integrated mail, calendar, task and address book
- distributed suite from Novell, Inc.
- .
- This package is a backend library for evolution address book.
-
-Package: libedata-book1.2-dev
-Section: libdevel
-Architecture: any
-Multi-Arch: same
-Depends: libedata-book-1.2-27 (= ${binary:Version}),
-         gir1.2-edatabook-1.2 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-         libebook-contacts1.2-dev (= ${binary:Version}),
-         libebackend1.2-dev (= ${binary:Version}),
-         libglib2.0-dev (>= 2.40),
-Description: Backend library for evolution address books (development files)
